Skip to main content
POST
Create an edge

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

canvasId
string<uuid>
required

Body

application/json

Body

id
string<uuid>
required
srcNodeId
string<uuid>
required
dstNodeId
string<uuid>
required
edgeType
enum<string>
required
Available options:
text,
image,
video,
audio,
file
srcHandle
string | null
dstHandle
string | null

Response

201

id
string<uuid>
required
srcNodeId
string<uuid>
required
dstNodeId
string<uuid>
required
edgeType
enum<string>
required
Available options:
text,
image,
video,
audio,
file
srcHandle
string | null
required
dstHandle
string | null
required
createdByUserId
string<uuid> | null
required
Last modified on July 17, 2026